package LasTres::Controller::Websocket::InputPacket::Ping;

use v5.36.0;

use strict;
use warnings;

use feature 'signatures';

use Data::Dumper;

use Moo;

use JSON;

use LasTres::Redis;
use LasTres::DAO::PJs;

with 'LasTres::Controller::Websocket::InputPacket';


my $redis = LasTres::Redis->new;
my $result_set_pjs = LasTres::DAO::PJs->ResultSet;

sub identifier {
    return 'ping';
}

sub handle ( $self, $ws, $session, $data ) {
    LasTres::Controller::Websocket::OutputPacket::Pong->new->send($ws);
}
1;
